# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%define fedora 19
%if (0%{?fedora} > 14 || 0%{?rhel} > 6)
%global require_ibus_version 1.3.99.20110817
%global require_eekboard_version 1.0.6
%else
%global require_ibus_version 1.3.0
%global require_eekboard_version 0.0.6
%endif
%global have_bridge_hotkey 0

%if (0%{?fedora} > 14 || 0%{?rhel} > 6)
%global _with_gtk --with-gtk=3.0
%else
%global _with_gtk --with-gtk=2.0
%endif

%if (0%{?fedora} > 16 || 0%{?rhel} > 6)
%global _enable_eekboard --enable-eekboard
%endif

Name:       ibus-m17n
Version:    1.3.4
Release:    alt1_7
Summary:    The M17N engine for IBus platform
License:    GPLv2+
Group:      System/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

# Patch0:     ibus-m17n-HEAD.patch
Patch1:     ibus-m17n-xkb-options.patch
Patch2:	    ibus-m17n-hide-title-status.patch
Patch3:	    ibus-m17n-blacklist-engines.patch
Patch4:	    ibus-m17n-virtkbd.patch
Patch5:	    ibus-m17n-fix-mtext-config.patch
Patch6:	    ibus-m17n-translit-layout.patch
Patch7:	    ibus-m17n-honor-user-cflags.patch
Patch8:	    ibus-m17n-desktop-file.patch

# The following BR is for autogen and not necessary when packging
# released tarballs.
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gnome-common
BuildRequires:  libm17n-devel
%if (0%{?fedora} > 14 || 0%{?rhel} > 6)
BuildRequires:  libgtk+3-devel
%else
BuildRequires:  gtk2-devel
%endif
BuildRequires:  libibus-devel >= %{require_ibus_version}
BuildRequires:	eekboard-libs-devel >= %{require_eekboard_version}
BuildRequires:	desktop-file-utils

Requires:   libm17n
Requires:   eekboard >= %{require_eekboard_version}
Requires:   iok
Source44: import.info

%description
M17N engine for IBus input platform. It allows input of many languages using
the input table maps from m17n-db.

%prep
%setup -q

#patch0 -p1 -b .HEAD
%patch1 -p1 -b .xkb-options
%patch2 -p1 -b .hide-title-status
%patch3 -p1 -b .blacklist-engines
%patch4 -p1 -b .virtkbd
%patch5 -p1 -b .fix-mtext-config
%patch6 -p1 -b .translit-layout
%patch7 -p1 -b .honor-user-cflags
%patch8 -p1 -b .desktop-file

NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static %{?_with_gtk} %{?_with_hotkeys} %{?_enable_eekboard}
# make -C po update-gmo
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install

desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/ibus-setup-m17n.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/ibus-m17n
%{_libexecdir}/ibus-engine-m17n
%{_libexecdir}/ibus-setup-m17n
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-m17n.desktop

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_7
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_6
- initial fc import

